<?php
session_start();
if (!isset($_SESSION["user_id"]) || $_SESSION["user_id"]==null):
    print "<script>alert(\"Acceso Invalido!\");
    window.location='login.php';</script>";
endif;
if ($_SESSION["user_at"] < 2):
    print "<script>alert(\"Sin Acceso a Transaccion!\");
    window.location='vt000.php';</script>";
endif;
include_once ("lib/fpdf/funci.php");
$conex = conectar();
date_default_timezone_set('America/La_Paz');
if (!isset($_SESSION["carrito"])):
   $_SESSION["carrito"] = [];
endif;
$granTotal = 0;
?>
   <div id="resultadoBusqueda"></div>
   <script src="js/jquery-1.9.1.min.js"></script>
   <script>
   $(document).ready(function() {
       $("#resultadoBusqueda").html('<p><center><strong>Cliente</strong></center></p>');
   });
   function buscar() {
      var textoBusqueda = $("input#codcli").val();
      if (textoBusqueda != "") {
         $.post("vt116.php", {valorBusqueda: textoBusqueda}, function(mensaje) {
             $("#resultadoBusqueda").html(mensaje);
         });
      } else { 
         $("#resultadoBusqueda").html('<p><center><strong>Cliente</strong></center></p>');
      };
   };
   </script>
<div class="main-wrapper">
<link href="css/tabla.css" rel="stylesheet" type="text/css" />
<link href="bootstrap/css/bootstrap.css" rel="stylesheet" />
<link rel="stylesheet" href="//code.jquery.com/ui/1.10.4/themes/smoothness/jquery-ui.css">
<script src="//code.jquery.com/jquery-1.9.1.js"></script>
<script src="//code.jquery.com/ui/1.10.4/jquery-ui.js"></script>
<link rel="stylesheet" href="/resources/demos/style.css">
<script>
   $(function() {
      $("#feven").datepicker({
         dateFormat: 'dd-mm-yy'});
      $("#fereg").datepicker({
         dateFormat: 'dd-mm-yy'});
      $("#febaj").datepicker({
         dateFormat: 'dd-mm-yy'});
   });
</script>
<script>
   function validanum(e) {
      tecla = (document.all) ? e.keyCode : e.which;
      //Tecla de retroceso para borrar, siempre la permite
      if (tecla==8){
         return true;
      }
      // Patron de entrada, en este caso solo acepta numeros
      patron =/[0-9.]/;
      tecla_final = String.fromCharCode(tecla);
      return patron.test(tecla_final);
   }
</script>
<script>
   function validalet(e) {
      tecla = (document.all) ? e.keyCode : e.which;
      //Tecla de retroceso para borrar, siempre la permite
      if (tecla==8){
         return true;
      }
      // Patron de entrada, en este caso solo acepta letras
      patron =/[A-Za-z/ ]/;
      tecla_final = String.fromCharCode(tecla);
      return patron.test(tecla_final);
   }
</script>
<style type="text/css">   
   .boton{
      font-size:12px;
      font-family:Verdana,Helvetica;
      font-weight:bold;
      color:#000000;
      background:#A4C1FF;
      border:5px;
      width:155px;
      height:25px;
      border-radius: 5px;
      border: 1px solid #39c;
   }

   .redondo{
      border-radius: 5px;
      border: 1px solid #39c;
   }

   select{
      border-radius: 5px;
      border: 1px solid #39c;
   }
</style>
</head>
<div class="col-xs-12">
     <center><h1>Venta de Productos</h1></center>
     <?php
     if (isset($_GET["status"])):
        if ($_GET["status"] === "1"):
	   ?>
	   <div class="alert alert-success">
	        <strong>¡Perfecto!</strong> Venta Realizada Correctamente
	   </div>
	   <?php
	elseif($_GET["status"] === "2"):
	   ?>
	   <div class="alert alert-info">
		<strong>El Pago debe se Mayor a la Venta</strong>
	   </div>
	   <?php
	elseif($_GET["status"] === "3"):
	   ?>
	   <div class="alert alert-info">
		<strong>OK</strong> El Producto a sido quitado de la lista
	   </div>
	   <?php
	elseif($_GET["status"] === "4"):
	   ?>
	   <div class="alert alert-warning">
		<strong>Error:</strong> El producto que buscas no existe
	   </div>
	   <?php
	elseif($_GET["status"] === "5"):
	   ?>
	   <div class="alert alert-danger">
		<strong>Error: </strong> El producto está sin Stock
	   </div>
	   <?php
	else:
	   ?>
	   <div class="alert alert-warning">
		<strong>Error:</strong> Falta el Nombre del Cliente
	   </div>
	   <?php
	endif;
     endif;
     ?>
     <form method="post" action="vt112.php">
          &emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&ensp;
          &emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&ensp;
          &emsp;&emsp;&emsp;&emsp;&emsp;&ensp;
	  <label>Código de Barras :</label>
	  <input autocomplete="off" autofocus class="redondo" name="codigo" style="text-align:center" required type="text" placeholder="Código">
          &emsp;&emsp;&emsp;&ensp;&nbsp;
	  <label>Cantidad :</label>
	  <input autocomplete="off" class="redondo" name="canti" style="text-align:center" required type="text" placeholder="Cantidad">
          &emsp;&emsp;&emsp;&emsp;&ensp;&nbsp;
	  <button type="submit" class="btn btn-success btn-xs">Agregar</button>
     </form>
     <center><table class="tabla">
	  <thead>
	  <tr>
	  <th><center>Código</center></th>
	  <th>Nombre Producto</th>
	  <th><center>Cantidad</center></th>
	  <th><center>Precio Venta</center></th>
	  <th><center>Total Item</center></th>
	  <th><center>Opcion</center></th>
	  </tr>
	  </thead>
	  <tbody>
	  <?php foreach($_SESSION["carrito"] as $indice => $producto){ 
			$granTotal += $producto[total];
	  ?>
	  <tr class="modo1">
	  <td><center><?php echo $producto[vtartcart]?></center></td>
	  <td><?php echo $producto[vtartnart]?></td>
	  <td><center><?php echo number_format($producto[mican],2)?></center></td>
	  <td><center><?php echo $producto[vtartpven]?></center></td>
	  <td><center><?php echo number_format($producto[total],2)?></center></td>
	  <td><center><a class="btn btn-danger btn-xs" href="<?php echo "vt113.php?indice=" . $indice?>">Quitar<i class="fa fa-trash"></i></a></center></td>
	  </tr>
	  <?php } ?>
	  </tbody>
     </table></center>
     <h3>
     &emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&ensp;
     &emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&ensp;
     &emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;
     &emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;
     &emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;
     Total Venta : <?php echo number_format($granTotal,2); ?></h3>
     <form action="vt115.php" method="POST">
	  <input name="total" type="hidden" value="<?php echo $granTotal;?>">
          <tr>
          &emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&ensp;
          &emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&ensp;
          &emsp;&emsp;&emsp;&emsp;&emsp;&ensp;
	  <label>Cliente :</label>
	  <input autocomplete="off" class="redondo" name="codcli" id="codcli" style="text-align:center" type="text" placeholder="Código" onKeyUp="buscar();">
          &emsp;
	  <label>Nombre :</label>
	  <input autocomplete="off" class="redondo" name="nomcli" size="40" type="text" placeholder="Nombre">
          &emsp;&emsp;
	  <label>Efectivo :</label>
	  <input autocomplete="off" class="redondo" name="pagoef" style="text-align:center" size="15" type="text" placeholder="Pago">
          </tr>
          <tr><center>
          </center></tr>
          &emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&ensp;
	  <center><button type="submit" class="btn btn-success">Terminar Venta</button>
          &emsp;&emsp;
	  <a href="vt114.php" class="btn btn-danger">Cancelar Venta</a></center>
     </form>
</div>
